%define name		aelfred
%define version		1.2
%define release		0.a.7jpp
%define section		free


Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java-based XML parser
License:	BSD-Style
Url:		http://www.microstar.com/XML/
Source0:	http://card4u.fhnon.de/XMLKlassen/microstar-Parser/aelfred.zip
Group:		Development/Java
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Vendor:		JPackage Project
Distribution:	JPackage

%description
AElfred is a new Java-based XML parser from Microstar Software Ltd.
(http://www.microstar.com/), an established provider of XML and SGML
solutions. AElfred is distributed for free (with full source) for both
commercial and non-commercial use, and is designed for easy and
efficient use over the Internet.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -c
# remove all binary libs
find . -name "*.jar" -exec %__rm -f {} \;
find . -name "*.class" -exec %__rm -f {} \;
%__rm -rf HTML/*

%build
export JAVA_HOME=%{java_home}
export PATH=%{java_home}/bin:$PATH
export CLASSPATH=
cd src
%javac -source 1.4 `find . -name \*.java`
%javadoc -source 1.4 -d ../HTML `find . -name \*.java`

%install
# jar
export JAVA_HOME=%{java_home}
cd src
%__mkdir_p %{buildroot}%{_javadir}
%jar cvmf /dev/null %{name}.jar -C . com/
%__cp -a %{name}.jar \
%{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do \
%__ln_s ${jar} ${jar/-%{version}/}; done)

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a ../HTML/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

# data
%__mkdir_p %{buildroot}%{_datadir}/%{name}/Demo
%__cp -a *.class %{buildroot}%{_datadir}/%{name}/Demo

%clean
%__rm -rf %{buildroot}

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc README.txt FILES
%{_javadir}/*
%dir %{_datadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/Demo

%changelog
* Sun Feb 06 2005 David Walluck <david@jpackage.org> 0:1.2-0.a.7jpp
- add non-versioned javadoc link
- fix build with javac 1.5
- add jar manifest
- add epoch in demo dependency
- modernize spec

* Thu Aug 19 2004 Ralph Apel <r.apel at r-apel.de> 0:1.2-0.a.6jpp
- Build with ant-1.6.2

* Thu Apr 24 2003 David Walluck <david@anti-microsoft.org> 0:1.2-0.a.5jpp
- minor spec cleanup

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 0:1.2-0.a.4jpp
- rebuild for JPackage 1.5

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 1.2-0.a.3jpp
- fix permissions on sources

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 1.2-0.a.2jpp
- set JAVA_HOME/bin in PATH

* Mon Jan 20 2003 David Walluck <david@anti-microsoft.org> 1.2-0.a.1jpp
- release
